## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           lvgl 
Version:        9.2.2 
Release:        %autorelease
Summary:        Light and Versatile Graphics Library

License:        MIT
URL:            https://github.com/lvgl/lvgl
Source:         %{url}/archive/v%{version}/lvgl-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  ninja-build
BuildRequires:  libpng-devel 
BuildRequires:  libjpeg-turbo-devel
BuildRequires:  freetype-devel
BuildRequires:  glew-devel
BuildRequires:  glfw-devel
BuildRequires:  SDL2-devel
BuildRequires:  ruby-devel
BuildRequires:  python3-devel
BuildRequires:  libinput-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  libdrm-devel
BuildRequires:  pkg-config
BuildRequires:  wayland-protocols-devel
BuildRequires:  wayland-devel
BuildRequires:  pngquant
BuildRequires:  python3dist(pypng)
BuildRequires:  python3dist(lz4)
BuildRequires:  python3dist(kconfiglib)

%description
LVGL is the most popular free and open source embedded graphics library to create beautiful UIs for any MCU,
MPU and display type. It's supported by industry leading vendors and projects like  Arm, STM32, NXP, Espressif,
Nuvoton, Arduino, RT-Thread, Zephyr, NuttX, Adafruit and many more.

%prep
%autosetup -n lvgl-%{version}


%build
cp lv_conf_template.h lv_conf.h
#%%{python3} scripts/lv_conf_internal_gen.py 
#%${python3} scripts/generate_lv_conf.py 
%cmake -DBUILD_SHARED_LIBS=ON
%cmake_build


%install
%cmake_install


%files
%license LICENSE.txt
%doc README.md



%changelog
## START: Generated by rpmautospec
* Sun Mar 23 2025 John Doe <packager@example.com> - 9.2.2-1
- Uncommitted changes
## END: Generated by rpmautospec
